<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent" android:layout_height="match_parent">
    <include
        android:id="@+id/toolbar"
        layout="@layout/layout_toolbar"/>
    <ScrollView
        android:layout_below="@+id/toolbar"
        android:layout_width="fill_parent"
        android:layout_height="match_parent"
        android:fillViewport="true">
        <RelativeLayout
            android:layout_width="fill_parent"
            android:layout_height="match_parent">
            <RelativeLayout
                android:id="@+id/relTop"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:paddingTop="3dp"
                android:paddingBottom="3dp"
                android:paddingRight="2dip"
                android:gravity="center"
                android:background="@color/colorTopBarSideMenu">
                <com.grood.in.customviews.CustomTextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:padding="10dp"
                    android:text="@string/my_account_header"
                    style="@style/ButtonStyle"/>
            </RelativeLayout>
            <android.support.v7.widget.CardView
                xmlns:card_view="http://schemas.android.com/apk/res-auto"
                xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/card_view"
                android:layout_below="@+id/relTop"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                card_view:cardCornerRadius="4dp"
                android:layout_marginTop="10dp"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="5dp">
                <RelativeLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorSearchBox">
                   <com.grood.in.customviews.CustomTextView
                       android:id="@+id/txtOrderHistory"
                       android:layout_width="fill_parent"
                       android:layout_height="wrap_content"
                       android:padding="10dp"
                       style="@style/ItemNameBoldStyle"
                       android:text="@string/order_history"
                       android:drawablePadding="10dp"
                       android:drawableLeft="@mipmap/order_history"
                       android:drawableRight="@mipmap/ic_plus"
                       android:gravity="center_vertical"
                       android:textColor="@android:color/black"/>
                </RelativeLayout>
            </android.support.v7.widget.CardView>
            <android.support.v7.widget.CardView
                xmlns:card_view="http://schemas.android.com/apk/res-auto"
                xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/card_view_order"
                android:layout_below="@+id/card_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                card_view:cardCornerRadius="4dp"
                android:layout_marginTop="10dp"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="5dp"
                android:visibility="gone">
                <RelativeLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorSearchBox">
                    <ListView
                        android:id="@+id/list_order_history"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:cacheColorHint="@android:color/transparent"
                        android:divider="@android:color/transparent"
                        android:dividerHeight="2dp"/>
                </RelativeLayout>
            </android.support.v7.widget.CardView>
            <android.support.v7.widget.CardView
                xmlns:card_view="http://schemas.android.com/apk/res-auto"
                xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/card_view_address"
                android:layout_below="@+id/card_view_order"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                card_view:cardCornerRadius="4dp"
                android:layout_marginTop="10dp"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="5dp">
                <RelativeLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorSearchBox">
                    <com.grood.in.customviews.CustomTextView
                        android:id="@+id/txtMyAddresses"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:padding="10dp"
                        style="@style/ItemNameBoldStyle"
                        android:text="@string/my_addresses"
                        android:drawablePadding="10dp"
                        android:drawableLeft="@mipmap/ic_address"
                        android:drawableRight="@mipmap/ic_plus"
                        android:gravity="center_vertical"
                        android:textColor="@android:color/black"/>
                </RelativeLayout>
            </android.support.v7.widget.CardView>
            <android.support.v7.widget.CardView
                xmlns:card_view="http://schemas.android.com/apk/res-auto"
                xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/card_view_list_address"
                android:layout_below="@+id/card_view_address"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                card_view:cardCornerRadius="4dp"
                android:layout_marginTop="10dp"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="5dp"
                android:visibility="gone">
                <RelativeLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorSearchBox">
                    <ListView
                        android:id="@+id/list_addresses"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:cacheColorHint="@android:color/transparent"
                        android:divider="@android:color/transparent"
                        android:dividerHeight="2dp"/>
                    <RelativeLayout
                        android:layout_below="@+id/list_addresses"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/margin_screen"
                        android:layout_marginRight="@dimen/margin_screen"
                        android:layout_marginTop="10dp"
                        android:layout_marginBottom="10dp"
                        android:gravity="center"
                        android:layout_centerHorizontal="true">
                        <com.grood.in.customviews.CustomButton
                            android:id="@+id/btnUpdate"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingTop="10dp"
                            android:paddingBottom="10dp"
                            android:paddingLeft="15dp"
                            android:paddingRight="15dp"
                            style="@style/ButtonStyle"
                            android:text="@string/update"
                            android:gravity="center_vertical"
                            android:background="@color/colorUpdateAdd"
                            android:textSize="@dimen/normal_font"
                            android:layout_marginRight="10dp"/>
                        <com.grood.in.customviews.CustomButton
                            android:id="@+id/btnAddNew"
                            android:layout_toRightOf="@+id/btnUpdate"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:paddingTop="10dp"
                            android:paddingBottom="10dp"
                            android:paddingLeft="15dp"
                            android:paddingRight="15dp"
                            style="@style/ButtonStyle"
                            android:textSize="@dimen/normal_font"
                            android:text="@string/add_new"
                            android:gravity="center_vertical"
                            android:background="@color/colorUpdateAdd"
                            android:layout_marginRight="10dp"/>
                    </RelativeLayout>
                </RelativeLayout>
            </android.support.v7.widget.CardView>
            <android.support.v7.widget.CardView
                xmlns:card_view="http://schemas.android.com/apk/res-auto"
                xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/card_view_profile"
                android:layout_below="@+id/card_view_list_address"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                card_view:cardCornerRadius="4dp"
                android:layout_marginTop="10dp"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="5dp">
                <RelativeLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorSearchBox">
                    <com.grood.in.customviews.CustomTextView
                        android:id="@+id/txtMyPersonalInfo"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:padding="10dp"
                        style="@style/ItemNameBoldStyle"
                        android:text="@string/my_personal_info"
                        android:drawablePadding="10dp"
                        android:drawableLeft="@mipmap/ic_my_acc"
                        android:drawableRight="@mipmap/ic_plus"
                        android:gravity="center_vertical"
                        android:textColor="@android:color/black"/>
                </RelativeLayout>
            </android.support.v7.widget.CardView>
            <android.support.v7.widget.CardView
                xmlns:card_view="http://schemas.android.com/apk/res-auto"
                xmlns:android="http://schemas.android.com/apk/res/android"
                android:id="@+id/card_view_profile_fields"
                android:layout_below="@+id/card_view_profile"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                card_view:cardCornerRadius="4dp"
                android:layout_marginTop="10dp"
                android:layout_marginLeft="5dp"
                android:layout_marginRight="5dp"
                android:visibility="gone">
                <RelativeLayout
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:background="@color/colorSearchBox">
                    <RelativeLayout
                        android:id="@+id/relFirstName"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/margin_screen"
                        android:layout_marginRight="@dimen/margin_screen"
                        android:layout_marginTop="15dp"
                        android:background="@drawable/edit_bg"
                        android:visibility="visible">
                        <ImageView
                            android:id="@+id/imgDFirstname"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:contentDescription="@string/app_name"
                            android:src="@mipmap/ic_cal"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:visibility="invisible"/>
                        <com.grood.in.customviews.CustomEditText
                            android:id="@+id/editFirstName"
                            android:layout_toRightOf="@+id/imgDFirstname"
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            style="@style/NormalFontStyle"
                            android:inputType="text"
                            android:layout_centerVertical="true"
                            android:hint="@string/first_name_pro"
                            android:gravity="center_vertical"
                            android:singleLine="true"
                            android:background="@android:color/transparent"/>
                    </RelativeLayout>
                    <RelativeLayout
                    android:id="@+id/relLastName"
                    android:layout_below="@+id/relFirstName"
                    android:layout_width="fill_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="@dimen/margin_screen"
                    android:layout_marginRight="@dimen/margin_screen"
                    android:layout_marginTop="@dimen/edit_margin"
                    android:background="@drawable/edit_bg"
                        android:visibility="visible">
                    <ImageView
                        android:id="@+id/imgDLastname"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:contentDescription="@string/app_name"
                        android:src="@mipmap/ic_cal"
                        android:layout_marginLeft="5dp"
                        android:layout_marginRight="5dp"
                        android:visibility="invisible"/>
                    <com.grood.in.customviews.CustomEditText
                        android:id="@+id/editLastName"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        style="@style/NormalFontStyle"
                        android:layout_toRightOf="@+id/imgDLastname"
                        android:inputType="text"
                        android:hint="@string/last_name_pro"
                        android:singleLine="true"
                        android:layout_centerVertical="true"
                        android:gravity="center_vertical"
                        android:background="@android:color/transparent"/>
                </RelativeLayout>
                    <RelativeLayout
                        android:id="@+id/relEmail"
                        android:layout_below="@+id/relLastName"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/margin_screen"
                        android:layout_marginRight="@dimen/margin_screen"
                        android:layout_marginTop="@dimen/edit_margin"
                        android:background="@drawable/edit_bg"
                        android:visibility="visible">
                        <ImageView
                            android:id="@+id/imgDEmail"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:contentDescription="@string/app_name"
                            android:src="@mipmap/ic_cal"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:visibility="invisible"/>
                        <com.grood.in.customviews.CustomEditText
                            android:id="@+id/editEmail"
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            style="@style/NormalFontStyle"
                            android:layout_toRightOf="@+id/imgDEmail"
                            android:inputType="textEmailAddress"
                            android:hint="@string/email_pro"
                            android:layout_centerVertical="true"
                            android:gravity="center_vertical"
                            android:singleLine="true"
                            android:enabled="false"
                            android:background="@android:color/transparent"/>
                    </RelativeLayout>
                    <RelativeLayout
                        android:id="@+id/relDateOfBirth"
                        android:layout_below="@+id/relEmail"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/margin_screen"
                        android:layout_marginRight="@dimen/margin_screen"
                        android:layout_marginTop="@dimen/edit_margin"
                        android:background="@drawable/edit_bg"
                        android:visibility="visible">
                        <ImageView
                            android:id="@+id/imgDateOfBirth"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:contentDescription="@string/app_name"
                            android:src="@mipmap/ic_cal"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:visibility="visible"/>
                        <com.grood.in.customviews.CustomEditText
                            android:id="@+id/editDOB"
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            style="@style/NormalFontStyle"
                            android:layout_toRightOf="@+id/imgDateOfBirth"
                            android:inputType="date"
                            android:hint="@string/dob_pro"
                            android:layout_centerVertical="true"
                            android:gravity="center_vertical"
                            android:enabled="false"
                            android:singleLine="true"
                            android:background="@android:color/transparent"/>
                    </RelativeLayout>
                    <RelativeLayout
                        android:id="@+id/relCurrPassword"
                        android:layout_below="@+id/relDateOfBirth"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/margin_screen"
                        android:layout_marginRight="@dimen/margin_screen"
                        android:layout_marginTop="@dimen/edit_margin"
                        android:background="@drawable/edit_bg">
                        <ImageView
                            android:id="@+id/imgDCurrPassword"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:contentDescription="@string/app_name"
                            android:src="@mipmap/ic_cal"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:visibility="invisible"/>
                        <com.grood.in.customviews.CustomEditText
                            android:id="@+id/editCurrentPassword"
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            style="@style/NormalFontStyle"
                            android:layout_toRightOf="@+id/imgDCurrPassword"
                            android:inputType="textPassword"
                            android:hint="@string/curr_password_pro"
                            android:layout_centerVertical="true"
                            android:gravity="center_vertical"
                            android:singleLine="true"
                            android:enabled="false"
                            android:background="@android:color/transparent"/>
                    </RelativeLayout>
                    <RelativeLayout
                        android:id="@+id/relNewPassword"
                        android:layout_below="@+id/relCurrPassword"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="@dimen/margin_screen"
                        android:layout_marginRight="@dimen/margin_screen"
                        android:layout_marginTop="@dimen/edit_margin"
                        android:background="@drawable/edit_bg">
                        <ImageView
                            android:id="@+id/imgDNewPassword"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:contentDescription="@string/app_name"
                            android:src="@mipmap/ic_cal"
                            android:layout_marginLeft="5dp"
                            android:layout_marginRight="5dp"
                            android:visibility="invisible"/>
                        <com.grood.in.customviews.CustomEditText
                            android:id="@+id/editNewPassword"
                            android:layout_width="fill_parent"
                            android:layout_height="wrap_content"
                            style="@style/NormalFontStyle"
                            android:layout_toRightOf="@+id/imgDNewPassword"
                            android:inputType="textPassword"
                            android:hint="@string/new_password_pro"
                            android:layout_centerVertical="true"
                            android:singleLine="true"
                            android:gravity="center_vertical"
                            android:enabled="false"
                            android:background="@android:color/transparent"/>
                    </RelativeLayout>
                    <Spinner
                        android:id="@+id/spinnerGender"
                        android:layout_below="@+id/relNewPassword"
                        android:layout_marginLeft="@dimen/margin_screen"
                        android:layout_marginRight="@dimen/margin_screen"
                        android:layout_marginTop="10dp"
                        android:background="@drawable/edit_bg"
                        android:layout_width="fill_parent"
                        android:layout_height="wrap_content"
                        android:spinnerMode="dropdown"></Spinner>
                    <com.grood.in.customviews.CustomButton
                        android:id="@+id/btnSave"
                        android:layout_below="@+id/spinnerGender"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:paddingTop="10dp"
                        android:paddingBottom="10dp"
                        android:paddingLeft="15dp"
                        android:paddingRight="15dp"
                        android:layout_marginBottom="10dp"
                        style="@style/ButtonStyle"
                        android:text="@string/save"
                        android:layout_centerVertical="true"
                        android:layout_centerHorizontal="true"
                        android:gravity="center"
                        android:enabled="false"
                        android:textSize="@dimen/small_font"
                        android:background="@color/colorUpdateAdd"/>
                </RelativeLayout>
            </android.support.v7.widget.CardView>
        </RelativeLayout>
    </ScrollView>
</RelativeLayout>